const X_DISPLAY_NAME    = 'Outliner';
const X_NAME            = 'outliner';
const X_VER             = '0.7';
const X_AUTHOR		= 'mrj@mrj.spb.ru';

const X_JAR_FILE        = 'outliner.jar';

const X_CONTENT         = 'content/';
const X_SKIN            = 'skin/';
const X_LOCALE          = 'locale/en-US/outliner/';

const X_PROFILE		= 'profile';
const X_CHROME          = 'chrome';


initInstall(X_DISPLAY_NAME, X_NAME, X_VER);

var folder = getFolder(X_PROFILE, X_CHROME);
setPackageFolder(folder);

addFile(X_AUTHOR, X_VER, 'chrome/' + X_JAR_FILE, folder, null);

folder = getFolder(folder, X_JAR_FILE);

registerChrome(CONTENT | PROFILE_CHROME, folder, X_CONTENT);
registerChrome(SKIN | PROFILE_CHROME, folder, X_SKIN);
registerChrome(LOCALE | PROFILE_CHROME, folder, X_LOCALE);

if (getLastError() == SUCCESS) {
    performInstall();
    alert("Please restart your application\nOutliner can be found under the Tools menu.");

} else
    cancelInstall();

